AbstractResultSet
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class AbstractResultSet

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  ObjectResultSet

    public abstract class AbstractResultSet

extends java.lang.Object
implements java.sql.ResultSet

The `AbstractResultSet` serves as a base class for implementations of the`ResultSet` interface. All calls using columnNames are translated into the corresponding call with index position computed using a call to `findColumn`.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`AbstractResultSet()`

Method Summary
`java.sql.Array` | `getArray(java.lang.String columnName)`
`java.io.InputStream` | `getAsciiStream(java.lang.String columnName)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` | `getBinaryStream(java.lang.String columnName)`
`java.sql.Blob` | `getBlob(java.lang.String columnName)`
`boolean` | `getBoolean(java.lang.String columnName)`
`byte` | `getByte(java.lang.String columnName)`
`byte[]` | `getBytes(java.lang.String columnName)`
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` | `getClob(java.lang.String columnName)`
`java.lang.String` | `getCursorName()`
`java.sql.Date` | `getDate(java.lang.String columnName)`
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)`
`double` | `getDouble(java.lang.String columnName)`
`float` | `getFloat(java.lang.String columnName)`
`int` | `getHoldability()`
`int` | `getInt(java.lang.String columnName)`
`long` | `getLong(java.lang.String columnName)`
`java.io.Reader` | `getNCharacterStream(int columnIndex)`
`java.io.Reader` | `getNCharacterStream(java.lang.String columnLabel)`
`java.sql.NClob` | `getNClob(int columnIndex)`
`java.sql.NClob` | `getNClob(java.lang.String columnLabel)`
`java.lang.String` | `getNString(int columnIndex)`
`java.lang.String` | `getNString(java.lang.String columnLabel)`
`java.lang.Object` | `getObject(int columnIndex, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.lang.Object` | `getObject(java.lang.String columnName)`
`java.lang.Object` | `getObject(java.lang.String columnLabel, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.sql.Ref` | `getRef(java.lang.String columnName)`
`java.sql.RowId` | `getRowId(int columnIndex)`
`java.sql.RowId` | `getRowId(java.lang.String columnLabel)`
`short` | `getShort(java.lang.String columnName)`
`java.sql.SQLXML` | `getSQLXML(int columnIndex)`
`java.sql.SQLXML` | `getSQLXML(java.lang.String columnLabel)`
`java.sql.Statement` | `getStatement()`
`java.lang.String` | `getString(java.lang.String columnName)`
`java.sql.Time` | `getTime(java.lang.String columnName)`
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)`
`java.io.InputStream` | `getUnicodeStream(java.lang.String columnName)` Deprecated.
`java.net.URL` | `getURL(java.lang.String columnName)`
`boolean` | `isClosed()`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`
`void` | `updateArray(java.lang.String columnName, java.sql.Array x)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, long length)`
`void` | `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, long length)`
`void` | `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` | `updateBlob(int columnIndex, java.io.InputStream inputStream)`
`void` | `updateBlob(int columnIndex, java.io.InputStream inputStream, long length)`
`void` | `updateBlob(java.lang.String columnName, java.sql.Blob x)`
`void` | `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream)`
`void` | `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream, long length)`
`void` | `updateBoolean(java.lang.String columnName, boolean x)`
`void` | `updateByte(java.lang.String columnName, byte x)`
`void` | `updateBytes(java.lang.String columnName, byte[] x)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` | `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader x, int length)`
`void` | `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` | `updateClob(int columnIndex, java.io.Reader reader)`
`void` | `updateClob(int columnIndex, java.io.Reader reader, long length)`
`void` | `updateClob(java.lang.String columnName, java.sql.Clob x)`
`void` | `updateClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` | `updateClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` | `updateDouble(java.lang.String columnName, double x)`
`void` | `updateFloat(java.lang.String columnName, float x)`
`void` | `updateInt(java.lang.String columnName, int x)`
`void` | `updateLong(java.lang.String columnName, long x)`
`void` | `updateNCharacterStream(int columnIndex, java.io.Reader x)`
`void` | `updateNCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` | `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` | `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` | `updateNClob(int columnIndex, java.sql.NClob nClob)`
`void` | `updateNClob(int columnIndex, java.io.Reader reader)`
`void` | `updateNClob(int columnIndex, java.io.Reader reader, long length)`
`void` | `updateNClob(java.lang.String columnLabel, java.sql.NClob nClob)`
`void` | `updateNClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` | `updateNClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` | `updateNString(int columnIndex, java.lang.String nString)`
`void` | `updateNString(java.lang.String columnLabel, java.lang.String nString)`
`void` | `updateNull(java.lang.String columnName)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` | `updateRef(java.lang.String columnName, java.sql.Ref x)`
`void` | `updateRowId(int columnIndex, java.sql.RowId x)`
`void` | `updateRowId(java.lang.String columnLabel, java.sql.RowId x)`
`void` | `updateShort(java.lang.String columnName, short x)`
`void` | `updateSQLXML(int columnIndex, java.sql.SQLXML xmlObject)`
`void` | `updateSQLXML(java.lang.String columnLabel, java.sql.SQLXML xmlObject)`
`void` | `updateString(java.lang.String columnName, java.lang.String x)`
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getConcurrency, getDate, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMetaData, getObject, getRef, getRow, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getType, getUnicodeStream, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateObject, updateObject, updateRef, updateRow, updateShort, updateString, updateTime, updateTimestamp, wasNull`

Constructor Detail

### AbstractResultSet

    public AbstractResultSet()

Method Detail

### getArray

    public java.sql.Array getArray(java.lang.String columnName)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    @Deprecated
    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                                         int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String columnLabel,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String columnName)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

  Deprecated.

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(java.lang.String columnName,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(java.lang.String columnName,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Specified by:
    `getHoldability` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String columnLabel)
                                       throws java.sql.SQLException

  Specified by:
    `getNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNClob

    public java.sql.NClob getNClob(int columnIndex)
                            throws java.sql.SQLException

  Specified by:
    `getNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNClob

    public java.sql.NClob getNClob(java.lang.String columnLabel)
                            throws java.sql.SQLException

  Specified by:
    `getNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNString

    public java.lang.String getNString(int columnIndex)
                                throws java.sql.SQLException

  Specified by:
    `getNString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getNString

    public java.lang.String getNString(java.lang.String columnLabel)
                                throws java.sql.SQLException

  Specified by:
    `getNString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int columnIndex,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRowId

    public java.sql.RowId getRowId(int columnIndex)
                            throws java.sql.SQLException

  Specified by:
    `getRowId` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRowId

    public java.sql.RowId getRowId(java.lang.String columnLabel)
                            throws java.sql.SQLException

  Specified by:
    `getRowId` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getSQLXML

    public java.sql.SQLXML getSQLXML(int columnIndex)
                              throws java.sql.SQLException

  Specified by:
    `getSQLXML` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String columnLabel)
                              throws java.sql.SQLException

  Specified by:
    `getSQLXML` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream inputStream)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream inputStream,
                           long length)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader reader)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader reader,
                                      long length)
                               throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader reader)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader reader)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader reader,
                           long length)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       java.io.Reader x)
                                throws java.sql.SQLException

  Specified by:
    `updateNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                                       java.io.Reader reader)
                                throws java.sql.SQLException

  Specified by:
    `updateNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       java.io.Reader x,
                                       long length)
                                throws java.sql.SQLException

  Specified by:
    `updateNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                                       java.io.Reader reader,
                                       long length)
                                throws java.sql.SQLException

  Specified by:
    `updateNCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.sql.NClob nClob)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            java.io.Reader reader)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.io.Reader reader)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                            java.io.Reader reader,
                            long length)
                     throws java.sql.SQLException

  Specified by:
    `updateNClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNString

    public void updateNString(int columnIndex,
                              java.lang.String nString)
                       throws java.sql.SQLException

  Specified by:
    `updateNString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNString

    public void updateNString(java.lang.String columnLabel,
                              java.lang.String nString)
                       throws java.sql.SQLException

  Specified by:
    `updateNString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRowId

    public void updateRowId(int columnIndex,
                            java.sql.RowId x)
                     throws java.sql.SQLException

  Specified by:
    `updateRowId` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRowId

    public void updateRowId(java.lang.String columnLabel,
                            java.sql.RowId x)
                     throws java.sql.SQLException

  Specified by:
    `updateRowId` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

  Specified by:
    `updateSQLXML` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateSQLXML

    public void updateSQLXML(java.lang.String columnLabel,
                             java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

  Specified by:
    `updateSQLXML` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT